Bug 219521 - Project with logical items does not update status of externally changed files
Project with logical items does not update status of externally changed files
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.3
All All
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 12:32 UTC by Vladimir Voskresensky
Modified: 2016-12-08 09:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2012-10-04 12:32:55 UTC
1) Create LexYacc sample project, clean and build it
2) from file menu find binary, i.e. LexYacc_3/dist/Debug/OracleSolarisStudio-Solaris-x86/lexyacc_3. D&D binary into editor view to create project from binary
=> lexyacc_3 project is created
3) in Project view expand all folders to see all files
4) "Clean" any one project => all removed files are marked with "!" badge
5) "Build" any one project => only files of this project are refreshed, in other project "!" remains
Comment 1 Alexander Simon 2016-11-09 10:57:08 UTC
fixed in enum, branch release82, change set 2f87100e49b7
Comment 2 Alexander Simon 2016-11-09 10:59:53 UTC
additional fix 5f9ffe69a7e7
Comment 3 Quality Engineering 2016-11-11 02:50:12 UTC
Integrated into 'main-silver', will be available in build *201611110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9c98337c4144
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #219521 Project with logical items does not update status of externally changed files
(transplanted from 2f87100e49b73b7dda235bdce9af8756a344ef53)
Comment 4 soldatov 2016-12-08 09:55:48 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo